package com.boman.system.domain;

import com.boman.domain.BaseEntity;
import com.boman.domain.SysDept;

import java.util.ArrayList;
import java.util.List;

/**
 * @author tjf
 * @Date: 2022/03/25/9:41
 */
public class ChinaArea extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * id
     */

    private Long id;

    /**
     * 数据库字段id
     */
    private String areaId;

    /**
     * 上级ID，一级为0
     */

    private String pid;

    /**
     * 名称
     */

    private String name;

    /**
     * 层级
     */

    private Integer treeLevel;

    /**
     * 是否叶子节点  0：否   1：是
     */

    private Integer leaf;

    /**
     * 排序
     */

    private Long sort;

    /** 子区域 */
    private List<ChinaArea> children = new ArrayList<ChinaArea>();

    public List<ChinaArea> getChildren() {
        return children;
    }

    public void setChildren(List<ChinaArea> children) {
        this.children = children;
    }

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getTreeLevel() {
        return treeLevel;
    }

    public void setTreeLevel(Integer treeLevel) {
        this.treeLevel = treeLevel;
    }

    public Integer getLeaf() {
        return leaf;
    }

    public void setLeaf(Integer leaf) {
        this.leaf = leaf;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "SysRegion{" +
                "id=" + id +
                ", pid=" + pid +
                ", name='" + name + '\'' +
                ", treeLevel=" + treeLevel +
                ", leaf=" + leaf +
                ", sort=" + sort +
                '}';
    }
}
